#
# spec file for package erlang-folsom
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           erlang-folsom
Version:        0.7.2+git.1363717091.5e2d2e0
%define mod_ver %(echo "%{version}" | cut -d "+" -f1)
Release:        1.442
License:        Apache-2.0
Summary:        Expose Erlang Events and Metrics
Url:            http://github.com/boundary/folsom/
Group:          Development/Libraries/Other
Source:         folsom-%{version}.tar.gz
Patch01:        PATCH001-remove-dependencies-from-rebar-config-file
Patch02:        PATCH002-remove-version-check-with-git
BuildRequires:  erlang-rebar
Requires:       erlang
BuildRequires:  erlang-meck
Requires:       erlang-meck
BuildRequires:  erlang-bear
Requires:       erlang-bear
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Folsom is an Erlang based metrics system inspired by Coda Hale's metrics 
(https://github.com/codahale/metrics/). The metrics API's purpose is to 
collect realtime metrics from your Erlang applications and publish them via 
Erlang APIs and output plugins. folsom is not a persistent store. There are 6 
types of metrics: counters, gauges, histograms (and timers), histories, 
meter_readers and meters. Metrics can be created, read and updated via the f
olsom_metrics module.

%package src
Summary:        Expose Erlang Events and Metrics
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}
Provides:       %{name}-src = %{version}
#TODO: Change back to '<' after next version update:
Obsoletes:      %{name}-src <= %{version}

%description src
Folsom is an Erlang based metrics system inspired by Coda Hale's metrics 
(https://github.com/codahale/metrics/). The metrics API's purpose is to 
collect realtime metrics from your Erlang applications and publish them via 
Erlang APIs and output plugins. folsom is not a persistent store. There are 6 
types of metrics: counters, gauges, histograms (and timers), histories, 
meter_readers and meters. Metrics can be created, read and updated via the f
olsom_metrics module.



%prep
%setup -n folsom-%{version}
%patch01
%patch02

%build
%rebar compile escriptize

%install
for dir in ebin src include; do
  install -d %{buildroot}%{erlang_libdir}/folsom-%{mod_ver}/${dir}
  cp -r ${dir}/* %{buildroot}%{erlang_libdir}/folsom-%{mod_ver}/${dir}/
done

%files
%defattr(-,root,root)
%dir %{erlang_libdir}/folsom-%{mod_ver}
%{erlang_libdir}/folsom-%{mod_ver}/ebin
%{erlang_libdir}/folsom-%{mod_ver}/include

%files src
%defattr(-,root,root)
%{erlang_libdir}/folsom-%{mod_ver}/src
%changelog
* Tue Apr 23 2013 nkrinner@suse.com
- Rename -devel package to -src
* Mon Apr 22 2013 nkrinner@suse.com
- Packaged include/ directory
* Thu Apr 18 2013 nkrinner@suse.com
- Initial package
- Added PATCH001 - don't try to get requirements from git
- Added PATCH002 - don't try to check version with git
